
QGIS Application - Bug report #4015

The rendering categorized using a spatialite don't work.

2011-06-23 02:02 PM - aperi2007 -

Status: Closed

Priority: Normal

Assignee:

Category: Symbology

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed

Crashes QGIS or corrupts data:No Copied to github as #: 14002

Description

Hi,

Using a spatialite db and try-ing to rendering using a categorized type seem don't work.

Qgis seem to be unable to classify correctly.

It classify always one only value even if there is more then one distinct value available.

I try qhis 1.7 and the trunk version 1.8.

The bug seem to be in both version.

History

#1 - 2011-06-24 01:56 AM - Paolo Cavallini

Not confirmed here.

#2 - 2011-06-24 02:19 PM - aperi2007 -

Hi tested more.

The categorized work correctly if the spatialite layer is without a filter.

But if I apply a filter to the layer the categorize don't work.

I try to apply a query like:

Field1 = '0101'

after this the category don't work

#3 - 2011-06-26 03:00 AM - Goyo D

I can't replicate this using trunk in Ubuntu 11.04 natty even using a query.

#4 - 2011-06-26 03:37 AM - Goyo D

Sorry I did not test properly. Indeed if I try to use the categorized in a spatialite layer with a query, the "Classify" button does nothing (no classes are

created). Moreover if I try to apply changes in such a state qgis crashes with "Invalid pointer" error.
#5 - 2011-06-26 03:42 AM - Goyo D

As a workaround the opposite way works: symbolize first, then query.

#6 - 2011-06-26 09:17 AM - aperi2007 -

As a workaround the opposite way works: symbolize first, then query.

Unfortunately the query I need use reduce more the classification values.

So categorizing first will produce many values never used. :(

But perhaps another workaround could be to use the plugin RT_SQL_Layer and apply a spatialite layer a sql-layer having in it the same filter needed.

#7 - 2011-06-26 09:19 AM - aperi2007 -

I forget...

Using the plugin rt_sql_layer as a workaround will produce a read-only layer.

So this classified layer is not editable.

#8 - 2011-12-16 02:12 PM - Giovanni Manghi

- Target version set to Version 1.7.4

#9 - 2012-01-13 06:25 AM - Paolo Cavallini

- Assignee deleted (Paolo Cavallini)

- Crashes QGIS or corrupts data set to No

- Affected QGIS version set to master

- Pull Request or Patch supplied set to No

#10 - 2012-04-16 06:28 AM - Paolo Cavallini

- Target version changed from Version 1.7.4 to Version 1.8.0

#11 - 2012-09-04 12:01 PM - Paolo Cavallini

- Target version changed from Version 1.8.0 to Version 2.0.0

#12 - 2013-07-24 04:14 PM - Daniel Vaz

Is it still valid? Could you try the master version?

Thanks in advance

#13 - 2013-07-25 04:55 AM - Giovanni Manghi

- Resolution set to fixed

- Status changed from Open to Closed

Daniel Vaz wrote:
Is it still valid? Could you try the master version?

Thanks in advance

it works fine on master, please reopen if necessary.
